# prg4: Plotten von Betriebsdaten
require 'date'

dataFile = 'dataBatt.dat'
tag = Date.today - 1  # Bei Filterung Daten vom Vortag nehmen
start = tag.strftime("%d.%m.%y") 
commands = %Q(
  set terminal svg enhanced background rgb 'white'
  set output "../storage/downloads/Akku-#{Time.now.strftime('%Y-%m-%d')}.svg"
  set title "Auswertung Akkustatus von #{Time.now.strftime('%H:%M:%S')}"
  set ylabel "Ladezustand (%) bzw. Akku-Temp (C)"
  set xdata time
  set timefmt "%d.%m.%y %H:%M"
  #set xrange ["#{start} 00:00" to "#{start} 23:59"]  # Filtermöglichkeit 
  set format x "%d.%m %H:%M"
  set bmargin at screen 0.2
  set xtics rotate by 45 offset -7.0,-4.3
  plot "#{dataFile}" using 1:3 with lines, "" using 1:6 with lines
)
IO.popen("gnuplot", "w") { |pa| pa.puts commands }
