// mehrere Attribut-Direktiven in einer Datei
"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var BadgeDirective = (function () {
    function BadgeDirective(el, renderer) {
        renderer.setElementClass(el.nativeElement, 'badge', true);
    }
    BadgeDirective = __decorate([
        core_1.Directive({ selector: '[badge]' }), 
        __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer])
    ], BadgeDirective);
    return BadgeDirective;
}());
exports.BadgeDirective = BadgeDirective;
var WarningDirective = (function () {
    function WarningDirective(el, renderer) {
        this.el = el;
        this.renderer = renderer;
        this.renderer.setElementClass(this.el.nativeElement, 'btn', true);
        this.renderer.setElementClass(this.el.nativeElement, 'btn-warning', true);
        this.renderer.setElementStyle(this.el.nativeElement, 'color', 'white');
    }
    WarningDirective = __decorate([
        core_1.Directive({ selector: '[warning]' }), 
        __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer])
    ], WarningDirective);
    return WarningDirective;
}());
exports.WarningDirective = WarningDirective;
var SuccessDirective = (function () {
    function SuccessDirective(el, renderer) {
        renderer.setElementClass(el.nativeElement, 'btn', true);
        renderer.setElementClass(el.nativeElement, 'btn-success', true);
        renderer.setElementStyle(el.nativeElement, 'color', 'white');
    }
    SuccessDirective = __decorate([
        core_1.Directive({ selector: '[success]' }), 
        __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer])
    ], SuccessDirective);
    return SuccessDirective;
}());
exports.SuccessDirective = SuccessDirective;
// Diese Direktive wird verwendet in der Vorlage Flugliste.htm.
var ButtonTypDirective = (function () {
    function ButtonTypDirective(el, renderer) {
        this.el = el;
        this.renderer = renderer;
        this._defaultColor = 'yellow';
    }
    ButtonTypDirective.prototype.ngOnInit = function () {
        // console.log("ButtonArtDirective:" + this.typ);
        this.renderer.setElementClass(this.el.nativeElement, 'btn', true);
        this.renderer.setElementClass(this.el.nativeElement, 'btn-' + (this.typ || "default"), true);
        this.renderer.setElementStyle(this.el.nativeElement, 'color', 'black');
    };
    ButtonTypDirective.prototype.onMouseEnter = function () {
        this.renderer.setElementStyle(this.el.nativeElement, 'color', 'red');
    };
    ButtonTypDirective.prototype.onMouseLeave = function () {
        this.renderer.setElementStyle(this.el.nativeElement, 'color', 'black');
    };
    __decorate([
        core_1.Input('typ'), 
        __metadata('design:type', String)
    ], ButtonTypDirective.prototype, "typ", void 0);
    __decorate([
        core_1.HostListener('mouseenter'), 
        __metadata('design:type', Function), 
        __metadata('design:paramtypes', []), 
        __metadata('design:returntype', void 0)
    ], ButtonTypDirective.prototype, "onMouseEnter", null);
    __decorate([
        core_1.HostListener('mouseleave'), 
        __metadata('design:type', Function), 
        __metadata('design:paramtypes', []), 
        __metadata('design:returntype', void 0)
    ], ButtonTypDirective.prototype, "onMouseLeave", null);
    ButtonTypDirective = __decorate([
        core_1.Directive({ selector: '[typ]' }), 
        __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer])
    ], ButtonTypDirective);
    return ButtonTypDirective;
}());
exports.ButtonTypDirective = ButtonTypDirective;
var HighlightDirective = (function () {
    function HighlightDirective(el, renderer) {
        this.el = el;
        this.renderer = renderer;
        this._defaultColor = 'yellow';
    }
    HighlightDirective.prototype.onMouseEnter = function () {
        this.highlight(this.highlightColor || this._defaultColor);
    };
    HighlightDirective.prototype.onMouseLeave = function () {
        this.highlight(null);
    };
    HighlightDirective.prototype.highlight = function (color) {
        this.renderer.setElementStyle(this.el.nativeElement, 'backgroundColor', color);
    };
    __decorate([
        core_1.Input('myHighlight'), 
        __metadata('design:type', String)
    ], HighlightDirective.prototype, "highlightColor", void 0);
    __decorate([
        core_1.HostListener('mouseenter'), 
        __metadata('design:type', Function), 
        __metadata('design:paramtypes', []), 
        __metadata('design:returntype', void 0)
    ], HighlightDirective.prototype, "onMouseEnter", null);
    __decorate([
        core_1.HostListener('mouseleave'), 
        __metadata('design:type', Function), 
        __metadata('design:paramtypes', []), 
        __metadata('design:returntype', void 0)
    ], HighlightDirective.prototype, "onMouseLeave", null);
    HighlightDirective = __decorate([
        core_1.Directive({ selector: '[myHighlight]' }), 
        __metadata('design:paramtypes', [core_1.ElementRef, core_1.Renderer])
    ], HighlightDirective);
    return HighlightDirective;
}());
exports.HighlightDirective = HighlightDirective;
//# sourceMappingURL=Direktiven.js.map